<template>
  <div class="gris">
    <div>
      <v-container fluid>
        <v-row>
          <!--<v-col cols="3">
            <v-combobox
              v-model="selectPeriodo"
              :items="itemsPeriodo"
              label="Periodo"
              outlined
              dense
            ></v-combobox>
          </v-col>
          <v-col cols="3">
            <v-combobox
              v-model="selectAnio"
              :items="itemsAnio"
              label="Año"
              outlined
              dense
            ></v-combobox>
          </v-col>-->
          <v-col cols="6">
            <div class="">
              <div>
                <v-text-field
                  v-model="search"
                  class="buscador"
                  append-icon="mdi-magnify"
                  label="Nombre de certificador o número de empleado"
                  single-line
                  hide-details
                ></v-text-field>
              </div>
            </div>
          </v-col>
        </v-row>
      </v-container>
    </div>

    <v-data-table
      :headers="headers"
      :items="items"
      :page.sync="page"
      :items-per-page="itemsPerPage"
      hide-default-footer
      @page-count="pageCount = $event"
      :search="search"
      class="tabla"
    >
      <template v-slot:item="row">
        <tr>
          <td align="center">
            <router-link
              class="liga"
              style="color: #2d2926"
              :to="{
                name: 'certificacion_calidad_pv_ultima_certificacion',
                params: { puntoVenta: serviceCommons.objectToBase64(row.item) },
              }"
            >
              {{ row.item.punto_venta_completo }}</router-link
            >
          </td>
          <td align="center">
            <router-link
              class="liga"
              style="color: #2d2926"
              :to="{
                name: 'certificacion_calidad_certificador_detalle',
                params: {
                  puntoVenta: serviceCommons.objectToBase64(row.item),
                  filtros: serviceCommons.objectToBase64(filtros),
                },
              }"
            >
              {{ row.item.nombre_certificador }}</router-link
            >
          </td>
          <td align="center">
            <router-link
              class="liga"
              style="color: #2d2926"
              :to="{
                name: 'certificacion_calidad_certificacion_detalle',
                params: { visita: serviceCommons.objectToBase64(row.item) },
              }"
            >
              {{ row.item.detalle }}</router-link
            >
          </td>

          <td align="center">{{ row.item.ultima_certificacion }}</td>
          <td align="center">{{ row.item.hora_entrada }}</td>
          <td align="center">{{ row.item.hora_salida }}</td>
        </tr>
      </template>
    </v-data-table>
    <div class="text-center pt-2">
      <v-pagination
        v-model="page"
        :length="pageCount"
        class="paginador"
      ></v-pagination>
    </div>
  </div>
</template>

<script>
import router from "@/router";
import store from "@/store";
const axiosChecklist = store.state.axiosChecklist;
import axios from "axios";
import IdGrafico from "@/views/secure/sistema-informacion/dashboards/commons/IdGraficoLabel.vue";
const serviceCommons = store.state.serviceCommons;
export default {
  props: {
    filtros: Object,
  },
  name: "TablaPuntosVentaCertificados",
  components: {},
  data() {
    return {
      items: [],
      page: 1,
      pageCount: 1,
      itemsPerPage: 10,
      search: "",
      propiedades_footer: {
        itemsPerPageOptions: [2, 4, 5, 10],
      },
      headers: [
        {
          text: "Punto de Venta",
          value: "punto_venta_completo",
          align: "center",
        },
        {
          text: "Certificador",
          value: "nombre_certificador",
          align: "center",
        },
        {
          text: "Certificación",
          value: "detalle",
          align: "center",
        },
        {
          text: "Fecha",
          value: "ultima_certificacion",
          align: "center",
        },
        {
          text: "Hora de Entrada",
          value: "hora_entrada",
          align: "center",
        },
        {
          text: "Hora de Salida",
          value: "hora_salida",
          align: "center",
        },
      ],
      selectPeriodo: ["1er Trimestre"],
      selectAnio: ["2020"],
      itemsPeriodo: [
        //PENDIENTE : Obtener los catalogos periodo y año WS
        "1er Trimestre",
        "2do Trimestre",
        "3er Trimestre",
        "4to Trimestre",
      ],
      itemsAnio: ["2020"],
    };
  },
  created() {
    this.getPuntosVentaCertificados();
  },
  methods: {
    getPuntosVentaCertificados() {
      const self = this;
      let url =
        "/franquicia/dashboard/g007/secure/grafico/get/certificados/?" +
        "fechaInicial=" +
        self.filtros.fechaInicio +
        "&" +
        "fechaFin=" +
        self.filtros.fechaFin +
        "&" +
        "idNegocio=" +
        self.filtros.idNegocio;

      if (self.filtros.idGerente) {
        url = url + "&idGerente=" + self.filtros.idGerente;
      }
      if (self.filtros.id_certificador) {
        url = url + "&idUsuario=" + self.filtros.id_certificador;
      }

      axios
        .get(url)
        .then((response) => {
          if (response) {
            if (response.data.status_code === 200) {
              const data = response.data.data;
              if (data) {
                data.forEach((element) => {
                  element.punto_venta_completo =
                    element.id_ceco + " - " + element.punto_contacto;
                  element.detalle = "Detalle de la certificación";
                  if (element.hora_entrada) {
                    element.hora_entrada = element.hora_entrada + " hrs";
                  }

                  if (element.hora_salida) {
                    element.hora_salida = element.hora_salida + " hrs";
                  }

                  if (element.ultima_certificacion) {
                    let fecha = element.ultima_certificacion.split(" ")[0];
                    let dia = fecha.split("-")[2];
                    let mes = fecha.split("-")[1];
                    let anio = fecha.split("-")[0];

                    element.ultima_certificacion = dia + "/" + mes + "/" + anio;
                    element.fecha_visita = element.ultima_certificacion;
                  }
                });
                self.items = data;
              }
            }
          }
        })
        .catch((error) => {
          console.log(error);
        });
    },
  },
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
  },
};
</script>
